Должен ли Xfce 4.8 быть рабочим столом Debian по умолчанию?

Как мы уже знаем, Debian 7 должен прийти с Xfce в качестве среды рабочего стола по умолчанию, и на этом этапе, наблюдая за прогрессом, которого они достигают Гном y KDE Интересно, будет ли это хорошей идеей.

Мое сомнение проистекает из того, что для Debian 7 возможно, что версия Xfce что у нас есть 4.8. Мы знаем, что мальчики Debian Они привержены стабильности, и это всегда было плюсом, но в данном случае у меня есть опасения на этот счет.

Несколько месяцев назад Xfce был выпущен под версией 4.10, и до сих пор эта версия была самой стабильной и инновационной из всех, что были в этой среде рабочего стола. Я знаю они добавили много улучшений для конечного пользователя, однако, Debian он по-прежнему сохраняет его в экспериментальном режиме, поэтому он точно не будет добавлен в Wheezy.

Затем следует включить Xfce 4.8 как рабочий стол по умолчанию в современной ОС? Хорошо, это означает стабильность и все, что угодно, но давайте посмотрим правде в глаза. Те, которые мы используем Debian в качестве Сервера мы не используем графическую среду (по-прежнему), и те из нас, кто использует его в качестве ОС для заголовка, были бы признательны за лучший опыт работы с настольным компьютером.

KDE y Гном они слишком тяжелые, чтобы их можно было поместить на установочный компакт-диск. Вот почему его используют Xfce, но, по моему скромному мнению, они не будут использовать идеальную версию для этих времен. В дальнейшем, Xfce служил убежищем для многих пользователей, недовольных Оболочка гномапоскольку это напоминает много старого Gnome 2.

Поэтому я спрашиваю, должно ли это быть Xfce рабочий стол по умолчанию Debian? Я так думаю, но не в версии 4.8. Что, вы парни, думаете?


Содержание статьи соответствует нашим принципам редакционная этика. Чтобы сообщить об ошибке, нажмите здесь.

45 комментариев, оставьте свой

Оставьте свой комментарий

Ваш электронный адрес не будет опубликован. Обязательные для заполнения поля помечены *

*

*

  1. Ответственный за данные: Мигель Анхель Гатон
  2. Назначение данных: контроль спама, управление комментариями.
  3. Легитимация: ваше согласие
  4. Передача данных: данные не будут переданы третьим лицам, кроме как по закону.
  5. Хранение данных: база данных, размещенная в Occentus Networks (ЕС)
  6. Права: в любое время вы можете ограничить, восстановить и удалить свою информацию.

  1.   Адониз (@ NinjaUrbano1) сказал

    На мой взгляд, он должен поставляться с lxde по умолчанию, но с thunar или spacefm в качестве файлового браузера.

    1.    Лев сказал

      Сомнение: какой файловый менеджер lxde использует по умолчанию? (Я думал, что это spacefm) (У меня ностальгия: '()

      1.    Stif сказал

        Используйте PacManFM.

        Выносливость LXDE!

        1.    Лев сказал

          Вы правы, я так быстро прочитал комментарий, что подумал, что это PacManFM.

  2.   Эдгар Дж. Портильо сказал

    Мне нравится идея, что это XFCE, я был взволнован, когда прочитал это. А то, что до версии 4.8, всегда можно обновить, не так ли? Это просто немного лишнего времени, но оно того стоит, если мы этого хотим ...

    1.    Адониз (@ NinjaUrbano1) сказал

      если вы не перейдете в экспериментальную ветвь, не протестируете, не скомпилируете ее или не добавите репозиторий xfce в launchpad.net в новом debian 7, это будет невозможно, и вы хотите, чтобы он был установлен по умолчанию.

      1.    Эдгар Дж. Портильо сказал

        Если до сих пор уловил, ну, я забыл ветки Debian 😀 (извинения) ... Если это так, elav прав, разве Debian не будут слушать звонки? ...

  3.   Тони сказал

    Причина, по которой Debian не включает новое программное обеспечение, даже если оно очень стабильное, такое как Xfce 4.10, заключается в том, чтобы «не доверять» всем. Звучит странно, но это так, позвольте мне объяснить:

    Когда Debian Squeeze завис, KDE 4.5 был недавно выпущен, а предыдущая версия, KDE 4.4, находилась в Debian Squeeze. От команды KDE сказали, что KDE 4.5 был просто версией в основном массовых исправлений предыдущей версии. Однако, несмотря на просьбы многих людей, ребята из Debian не включили его и остановились на KDE 4.4. Нечто подобное сейчас происходит с Xfce 4.10.

    Это связано с тем, что независимо от того, насколько стабильной и надежной она является, по словам пользователей и разработчиков среды, Debian определенным образом не доверяет им, и до тех пор, пока эта среда не пройдет через его фильтр качества, то есть сначала в экспериментальной, затем в Sid и затем Тестирование, это программное обеспечение официально не выпущено.

    В случае с KDE они имели неприятные последствия, потому что KDE 4.4 был очень зеленым, когда был выпущен Squeeze, и не мог умеренно использоваться до первого выпуска, Debian 6.0.1. Если бы они выпустили KDE 4.5 с нуля, весьма вероятно, что Squeeze был бы выпущен с гораздо меньшим количеством ошибок, и это могло бы сэкономить разработчикам Debian много работы.

    Но послушайте, вот как выглядит Debian, к лучшему и к худшему

    1.    Elav сказал

      Я скорее думаю, что проблема в том, что у сопровождающих Xfce в Debian нет достаточно времени или они не хотят пропускать Xfce через фильтр, потому что, блин, дело не в том, что Xfce имеет сотни пакетов, таких как KDE или намного меньше ... но в любом случае. .

  4.   МАНУЭЛЬ ПЕРЕЗ сказал

    Ну да, у меня уже есть xfce во всех моих Debian, но правда в том, что они должны перейти на версию 4.10, которая уже очень стабильна

    1.    Жискар сказал

      Я вошел, чтобы сказать это. 4.10 идет отлично. Им потребовалось время, чтобы выпустить его, и это был очень стабильный продукт. Я не понимаю, почему они должны выбирать 4.8 вместо 4.10.

  5.   medina07 сказал

    Умм! Эту стабильность я всегда считал палкой о двух концах в Debian, поскольку (и, как вы указываете в случае с Xfce), существуют обновленные приложения, которые обладают большей стабильностью, чем версии, включенные в каждый выпуск Debian, которые из определенного с точки зрения, это поставило бы этот дистрибутив позади других крупных, имеющих стабильное и обновленное программное обеспечение (хотя суть не в этом). Например ... я не продвинутый пользователь и хотел бы, чтобы в используемом мной дистрибутиве был баланс между стабильностью и текущим ... ну, как вы заметили, для сервера это того стоит, но для обычного пользователь, как в моем случае, и с определенными преимуществами, достойными моей команды, я хотел бы иметь вышеупомянутый баланс.

  6.   Джош сказал

    Даже новая версия Slackware поставляется с xfce 4.10. Так что, Debian более стабилен, чем Slackware?
    Спасибо за информацию.

  7.   Убунтеро сказал

    XFCE rulez должен быть здесь, чтобы остаться 😉 \ m /

  8.   Хорхеманджаррезлерма сказал

    Как поживаете.

    XFCE либо установлен по умолчанию, либо он по умолчанию очень УЖЕ. Конечно, он также настолько настраиваемый, что может быть красивым (например, история гадкого утенка). Я тестировал как версию 4.8, так и 4.10, и правда в том, что, хотя есть улучшения в производительности, когда дело доходит до представления ее обычному пользователю, это не оказывает большого влияния. Например, я надевал его на свою маленькую дочь (две версии), и, хотя она очень любопытна и трогает ее, когда я спрашиваю ее, заметила ли она какую-либо разницу, она отвечает, что это минимально. Я также выполнял упражнение с женой и друзьями, и результат практически не изменился.

    Скорее, я думаю, что debian решил поиграть с более стабильной и надежной версией, учитывая количество поддерживаемых платформ, а это подразумевает большую работу. Кроме того, следует также отметить, что перед командой разработчиков XFCE возникла дилемма относительно переноса на GTK 3.

    Как я уже упоминал, debian решил перестраховаться по многим причинам, и, учитывая их политику выпуска, это никого не должно удивлять.

    1.    Elav сказал

      Что ж, хотя он, по-видимому, не имеет визуальных изменений (которые есть), не все - это внешний вид, а производительность и исправления ошибок предыдущих версий.

      Кроме того, Xfce включает в себя вещи, облегчающие вашу жизнь, которых нет в версии 4.8, например, возможность настройки сенсорной панели.

  9.   Пато сказал

    Согласен на 100%, я не тестировал XFCE 4.10, но если он такой стабильный и быстрый, как говорят, он должен идти по умолчанию.
    У меня есть SSD-диск с Debian Wheezy + KDE на моем ПК, и он работает очень хорошо.
    У меня также есть жесткий диск с Debian Wheezy + XFCE, и он работает так же хорошо, как KDE, что делает его очень удобным для людей, у которых нет большой машины.
    P.S. Я установил образ компакт-диска, который по умолчанию идет с XFCE.

  10.   Xfce сказал

    Проблема с тем, чтобы не включать xfce 4.10 в тестирование, заключается в том, что в стабильной версии у нас 4.6, а переход с 4.6 на 4.10 (пропуская 4.8) вызывает множество проблем. Поэтому, чтобы избежать бросков, они хотят сделать простой переход к стабильному (4.6 -> 4.8) и оставить 4.8 -> 4.10 для следующего. Здесь говорят:
    http://lionel.lefolgoc.net/blog/article89/status-of-xfce-in-debian-ubuntu

    1.    Elav сказал

      Я понял. Но я не вижу проблемы. Может случиться так, что кто-то обновит стабильную версию до стабильной, и это может быть проблемой, но в целом многие люди устанавливают с нуля (я имею в виду конечных пользователей, а не рабочие среды, такие как серверы и т.п.). Несмотря на то, что пакеты или библиотеки изменились, я действительно не думаю, что переход от Xfce 4.6 a Xfce 4.10 быть таким сложным. Кое-что из этого они сделали с KDE, который намного больше, и все работает на 100% с этой средой рабочего стола.

      Вдобавок нужно было бы перейти на 4.8, а затем перейти на 4.10, и к тому времени, когда это произойдет, появится Xfce 4.12 ... Не знаю, мне кажется, что над исправьте переход с версии 4.6 на 4.8, а затем вернитесь, чтобы исправить переход с 4.8 на 4.10 .. Но я не тот, кто судит об усилиях разработчиков.

  11.   Даниэль Бертуа сказал

    Меня бы не беспокоило, если есть еще более легкая версия, чем с XFCE и LXDE.
    В последнее время мне приходилось тестировать Debian на Celeron 667 с 256 Мб, и оба с LXDE и XFCE были непригодны для использования, но с ICEWM он работал нормально и совсем не выглядел уродливо, хотя его пришлось много настраивать.
    Существуют дистрибутивы на основе Debian, которые используют ICEWM и ROX, и они удобны и удобны, в частности, я имею в виду GALPON MININO и ANTIX.
    Компакт-диск Debian с LXDE или XFCE, но возможность поставить ICEWM, настроенный как эти другие среды или как можно более удобный, будет очень приветствоваться.

  12.   тарантонио сказал

    Больше, чем беспокоиться о выборе рабочего стола по умолчанию, для меня они должны сесть с художником и улучшить имидж дистрибутива. Почему Linux выглядит так некрасиво в большинстве дистрибутивов? Темы по умолчанию ужасны, ни о чем не заботятся, ничего не интегрировано, рендеринг источников не может быть хуже, мы также должны искать что-то эстетичное, если мы хотим, чтобы Linux стал популярным.

    Примеры хорошей работы у нас есть: SolusOS, elementaryOS, Ubuntu и т. Д.

  13.   Хосе Мигель сказал

    Эта тема имеет большое значение ...

    Во-первых, «оправдание» того, что он не помещается на компакт-диск, - самая абсурдная вещь, о которой я знаю. Компакт-диск давно практически устарел. Эти причины никогда меня не убедили.

    С другой стороны, все мы знаем, что Debian Stable очень строг к своим пакетам, так было всегда и на это есть свои причины.

    Наконец, я скажу вам, что для меня не имеет значения, какой рабочий стол установлен по умолчанию, я буду продолжать использовать KDE, рабочий стол, который я использую с 2002 года, и я не вижу причин его менять.

    Привет.

    1.    Карлос-Xfce сказал

      Написано «отговорка» с X.

      1.    Хосе Мигель сказал

        Что ж, это можно написать обоими способами. Вопрос несколько «сбивает с толку», потому что, согласно словарю РАЭ:

        В оправдание 1. говорит: 2. f. Причина или предлог для уклонения от обязательства или извинения за упущение.

        В оправдание 2. говорит: 1. f. извинение. 6. f. Скрыть действие и эффект (‖ скрыть).

        Немного измените смысл. Возможно, что в моем случае наиболее правильным будет отговорка.

        Привет.

      2.    Хосе Мигель сказал

        Возможно, что в моем случае самое правильное - это отговорка, но это можно записать и в том, и в другом случае, смысл немного меняется.

        Вопрос несколько «сбивает с толку», потому что согласно словарю РАЭ:

        В оправдание 1. говорит: 2. f. Причина или предлог для уклонения от обязательства или извинения за упущение.

        В оправдание 2. говорит: 1. f. извинение. 6. f. Скрыть действие и эффект (‖ скрыть).

        Привет.

  14.   таммуз сказал

    debian слишком традиционен, чтобы его можно было использовать сегодня на персональных компьютерах, в местах, где инновации происходят очень быстро и все, начиная с корня, нестабильно, а поступающие обновления помогают сопротивляться до тех пор, пока не будет опубликована новая версия, debian предназначен для серверов и предприятий, для домашние дистрибутивы на основе .deb

    1.    Elav сказал

      Я использую и использую Debian на рабочем столе очень долгое время. Это правда, что в нем нет ничего такого инновационного, как Unity, но в нем есть KDE, Gnome-Shell (скоро появится Cinnamon), Xfce, LXDE и все WM, которые вы можете использовать. Поэтому я действительно верю, что Debian можно использовать повседневно.

    2.    анонимный сказал

      Вопрос xfce 4.8 является спорным, и я думаю, что они должны были поставить 4.10, но вы забываете, что существуют разные профили пользователей.

      Я перестал использовать дистрибутивы с последними пакетами и попробовал Squeeze дома. Теперь у меня есть libreoffice 3.6, я только что изменил iceweasel 15 на 10 (который давно поддерживается), а также еще пару программ, которые находятся в backports. Остальная часть системы мне очень подходит, и я буду очень честен, если скажу, что не хочу снова менять дистрибутив, за исключением обновления до Wheezy в 2013 году. Debian не нацелен на то, чтобы быть простым, но и это не сложно, и теперь у меня есть дистрибутив, который я он дает почти все, что я ищу, а также его производные дистрибутивы.

  15.   неименная сказал

    если вам нужна современная операционная система, забудьте о debian

    лично мне, если мне нравится xfce как рабочий стол по умолчанию

    и если мне нужны новости, я тестирую, время от времени будет приходить 4.10

    debian никогда не был дистрибутивом для нетерпеливых

  16.   ферхметалл сказал

    Довольно серьезно то, как Debian работает со своими репозиториями, чтобы поддерживать их стабильность, я думаю, что если они должны включить XFCE 4.10, поскольку он очень, очень стабилен, этот рабочий стол очень хорош, но организация и правила Debian - это действительно дилемма. в отношении их решений и хороши, и плохи, так сказать, одновременно, но именно поэтому Debian сделан отличным материнским дистрибутивом без особых проблем, как иногда представляет сама Ubuntu, которая постоянно развивается. как сказал великий Линус Торвальдс, Ubuntu сделал Debian простым в использовании.

  17.   Пинг85 сказал

    Debian - это система как для серверов, так и для дома, давайте начнем с этого, с тем плюсом, что он является одним из самых стабильных дистрибутивов. Теперь, если у них в качестве WM по умолчанию установлен XFCE 4.8, они должны были почти сразу перейти на 4.10 к лучшему функции, которые он предлагает по сравнению с 4.8, в том, что иногда я не понимаю людей, которые управляют репозиториями, и если они собираются отложить внесение этого изменения, им лучше распространять Debian на DVD с KDE 4.9.

  18.   кик1н сказал

    КДЕ.
    Ответ на все 😀

  19.   Рейхск сказал

    А в чем проблема? Я предполагаю, что для пользователя это будет так же просто, как обновление до 4.10 и сейчас, или я ошибаюсь? Приветствую 🙂

  20.   молочный28 сказал

    Я думаю, что это была причина, по которой я позволил Debian перейти на Archlinux, чтобы наконец получить обновленную систему. Я думаю, что Debian должен поставить 4.8, поскольку он более чем протестирован по сравнению с 4.10, для них вы должны уважать их философию и принять ее, поскольку что-то есть много дистрибутивов, каждый со своей целью и назначением, и вы должны дать Сезару то, что принадлежит Сезару, и в стабильности Debian никогда меня не подводил.

  21.   Лев сказал

    Я использовал Debian долгое время, и он до сих пор остается одним из моих любимых дистрибутивов.
    Но для меня (личное мнение и очень мало объективных и информированных) они придают настолько большое значение стабильной ветке, что тестирование оставляет желать лучшего. Он совсем нестабилен, а самое худшее уже сильно устарело. И не думаю, что это вина "зависания" ветки, это заметил с первого раза, когда установил.
    Это лишь небольшая критика одного из самых важных дистрибутивов (потому что он заслуживает всех букв), который будет знать человечество (хотя на данный момент я остался с «хамелеоном» 🙂)

  22.   Alf сказал

    Я считаю, что больше, чем могут сказать пользователи, решения основаны на их философии, как уже упоминалось выше.

    Я не знаю об использовании debian в компаниях, будь то здесь, в Мексике или за границей, как в Америке, так и за пределами пруда, но, учитывая использование для компаний, я сомневаюсь, что они прислушаются к комментариям / запросам.

    Но всякое бывает.

    привет

  23.   РудаМачо сказал

    Пользователи Debian пахнут нафталином 😛

  24.   Элинкс сказал

    Хотя ребята из Debian больше заботятся о стабильности, потому что я вижу, что было бы неплохо включить его, в целом версия 4.8 очень новая и полезная, как и 4.10.

    Привет!

  25.   Хорхеманджаррезлерма сказал

    Как поживаете.

    Лично для меня Debian - один из самых надежных дистрибутивов (наряду со Slackware и Arch), который только может быть.

    Разработчики и совет директоров фонда следуют политике, которую многие критикуют, и должны быть слишком консервативными при публикации версий, и это понятно, учитывая количество поддерживаемых архитектур. Как и Хосе Мигель, выпуск компакт-диска является скорее оправданием, чем фундаментальной причиной, и я считаю, что они выбрали 4.8, потому что он более проверен и усовершенствован, чем 4.10.

    1.    Карлос-Xfce сказал

      И, как и Хосе Мигель, вы делаете ошибку, написав на этом слове «извинение».

  26.   Анкх сказал

    Недостаточно сказать, что версия программного обеспечения X более стабильна, чем другая, она должна быть продемонстрирована, и для этого требуется период тестирования, которого у Xfce 4.10 еще нет. Политика Debian выше личных решений разработчиков, и это нормально.
    Чтобы пакет вошел в debian wheezy, на момент выпуска в нем должно быть 0 открытых ошибок, что не означает, что другие не будут открываться в будущем. Сегодня мы уже находимся в периоде заморозки тестовой ветки, поэтому, за некоторыми исключениями, новые версии добавляться не будут.

  27.   Роло сказал

    ПЕРВЫЙ debian wheezy поставляется с gnome 3 как CD1, подтвержденный Стефано Заккироли

    * Pro true никто из блога не взял на себя ответственность за исправление ложных новостей о том, что они должны поставляться с xfce по умолчанию

    ВТОРОЙ, если они хотят xfce, они загружают cd1 с xfce и все

    Debian - это не убунту и не мятные ребята

    1.    анонимный сказал

      Лично я думаю, что это хорошо, что он идет по крайней мере с Gnome 3.4, а не 3.6, так что мы оставляем Nautilus беспилотным.

  28.   DanielC сказал

    Когда я услышал новости о том, что он по умолчанию изменился на xfce, мне это не понравилось, но знание того, что это было потому, что он «не помещается на компакт-диск», предлагать дистрибутив с gnome, дало мне оправдание ... глупо, не чтобы назовите это хуже, так как с xfce он также превышает емкость компакт-диска.

    Теперь, в случае с аспектом, с любым DE можно добиться чего-то удобного, это обоснование также отбрасывается.

    Если то, что вы ищете, - это иметь большую возможность взаимодействия с DE и программным обеспечением (и библиотеками) для работы, без сомнения, все должно быть сведено к GNOME или KDE, я не нахожу РЕАЛЬНОГО оправдания для перехода на xfce кроме сокращения ресурсов ... Хотя это также относительно, потому что сегодня потребление xfce по сравнению с чем-то более тяжелым, как KDE и GNOME, составляет не более 150 МБ, сильное потребление идет с программным обеспечением при его применении, и это очень похоже в любом DE.

  29.   Петерчан сказал

    Ну, я использую 4.8, и я еще не нашел никаких ошибок, я полагаю, что в конце дня каждый из нас ставит рабочий стол, который нам нужен, если они вынимают его с xfce 4.8, он всегда может подняться до 4.10 в 1 min, если они выбирают xfce 4.8, это потому, что что-то имеет 4.10, что совершенно не подходит по его назначению: СТАБИЛЬНОСТЬ